## org.codehaus.groovy.grails.web.converters.marshaller
Interface NameAwareMarshaller

All Known Implementing Classes:
  ArrayMarshaller, CollectionMarshaller, MapMarshaller, ProxyUnwrappingMarshaller, ValidationErrorsMarshaller

    public interface NameAwareMarshaller

Specialized ObjectMarshaller which defines the Tag Name for XML Conversion

Since:
  1.1
Author:
  Siegfried Puchbauer

Method Summary
`String` `getElementName(Object o)` Returns the tag name for the object

Method Detail

### getElementName

    String getElementName(Object o)

  Returns the tag name for the object

  Parameters:
    `o` - the object
  Returns:
    the tag name

Copyright (c) 2005-2009 The Grails project